### Class

# FoundryGtk SourceViewAddin

#### Description

    abstract class FoundryGtk.SourceViewAddin : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_source_view_addin_get_view

Gets teh view for the addin.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### FoundryGtk.SourceViewAddin:vie

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGtkSourceViewAddinClass {
      GObjectClass parent_class;
      DexFuture* (* load) (
        FoundrySourceViewAddin* self
      );
      DexFuture* (* unload) (
        FoundrySourceViewAddin* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`load: DexFuture* (* load) ( FoundrySourceViewAddin* self )`

  No description available.

`unload: DexFuture* (* unload) ( FoundrySourceViewAddin* self )`

  No description available.

#### Virtual methods

###### FoundryGtk.SourceViewAddinClass.load

No description available.

###### FoundryGtk.SourceViewAddinClass.unload

No description available.